#!/bin/sh -

# Provide your username on the command line.
userid="$1"
if [ -z "${userid}" ] ; then
	/bin/echo -n ' User-ID: ' ; read userid junk
	[ -z "${userid}" ] && exit
fi

# Provide the server IP address on the command line.
server=splash.ovpn.cns.utoronto.ca
if [ -z "${server}" ] ; then
	/bin/echo -n ' OpenVPN gateway IP: ' ; read server junk
	[ -z "${server}" ] && exit
fi

# Detect openvpn.
junk=`openvpn --version 2> /dev/null`
if [ -z "${junk}" ] ; then
	cat <<_EOM_
   ########################################################
   #
   #   Cannot find openvpn.  Please check your PATH...
   #
   #   $PATH
   #
   #   ... or download OpenVPN from    http://openvpn.net/
   #
   ########################################################
_EOM_
	/bin/echo -n '[ hit Enter to finish ]' ; read junk
	exit
fi

trigger=openvpn
osver=`uname`

# Authenticate ourselves and then download the necessary files.
# Requesting this magic filename triggers the openvpn process.
cat <<_EOM_
   ###############################################################
   #
   #  Downloading the files needed to start an OpenVPN session
   #  with the ${server} gateway ...
   #
_EOM_
scp -P 1194 -o 'Protocol 2' ${userid}@${server}:${trigger} .

cat <<_EOM_
   ###############################################################
   #
   #  Done.  Now run OpenVPN.
   #
   ###############################################################
_EOM_

# /bin/echo -n '[ hit Enter to finish ]' ; read junk
